Extending Qt Creator Manual | CommandButton

Extending Qt Creator Manual 4.5.2

# CommandButton Class

(Core::CommandButton)

The CommandButton class is a tool button associated with one of the registered Command objects. More...

Header: | #include <CommandButton>

- List of all members, including inherited members

## Properties

- toolTipBase : QString

## Public Functions

| CommandButton(QWidget *parent = 0)
| CommandButton(Id id, QWidget *parent = 0)
void | setCommandId(Id id)
void | setToolTipBase(const QString &toolTipBase)
QString | toolTipBase() const

## Detailed Description

The CommandButton class is a tool button associated with one of the registered Command objects.

Tooltip of this button consists of toolTipBase property value and Command's key sequence which is automatically updated when user changes it.

## Property Documentation

### toolTipBase : QString

Access functions:

QString | toolTipBase() const
void | setToolTipBase(const QString &toolTipBase)

## Member Function Documentation

### CommandButton::CommandButton(QWidget *parent = 0)

Default constructs an instance of CommandButton.

### CommandButton::CommandButton(Id id, QWidget *parent = 0)

Default constructs an instance of CommandButton.

### void CommandButton::setCommandId(Id id)